> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List codon usage tables for organisms

GET https://{tenant_name}.benchling.com/api/v2/codon-usage-tables

List tables with codon usage data for organisms that can be specified for other Benchling operations.


Reference: https://docs.benchling.com/docs/api/v2/benchling-api/codon-usage-tables/list-codon-usage-tables

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `pageSize` (integer, optional, default: 50) — Number of results to return. Defaults to 50, maximum of 100.
- `nextToken` (string, optional) — Token for pagination
- `sort` (enum, optional, default: name:asc) — Method by which to order search results. Valid sort is name (entity name, alphabetical). Optionally add :asc or :desc to specify ascending or descending order.
  - Allowed values: `name`, `name:asc`, `name:desc`
- `name` (string, optional) — Name of a codon usage table (tables are named for the organisms that they represent). Restricts results to those with the specified name.
- `nameIncludes` (string, optional) — Name substring of a codon usage table (tables are named for the organisms that they represent). Restricts results to those with names that include the provided substring.
- `ids` (string, optional) — Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.
- `names.anyOf` (string, optional) — Comma-separated list of names. Restricts results to those that match any of the specified names.

## Response

### 200

OK

- `codonUsageTables` (list of CodonUsageTable, optional)
- `nextToken` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### CodonUsageTable

- `id` (string, optional)
- `name` (string, optional)

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

## Examples

**Response**

```json
{
  "codonUsageTables": [
    {
      "id": "codtab_VfVOART1",
      "name": "string"
    }
  ],
  "nextToken": "string"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/codon-usage-tables"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/codon-usage-tables';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```